petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetLabelByNum

Return the nth label

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetLabelByNum(DM dm, PetscInt n, DMLabel *label)

Not Collective

### Input Parameters

| dm | - The DM object
| n | - the label number

### Output Parameter

label -the label

### Keywords

mesh

### See Also

DMGetLabelValue(), DMSetLabelValue(), DMGetStratumIS()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages